<?php

require_once("../includes/clase_sesion.php");
$sesion = new sesion(); // inicio la sesion

require_once("../includes/funciones_generales.php");

if (!comprobar_sesion()) {
    echo 'session';
    exit;
}

require_once("../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST, AC_CONN_USER, AC_CONN_PASS, AC_CONN_DB . "" . $sesion->get('anio'));

if (isset($_POST['caso'])) {
    $id_est = $_POST['idest'];

    switch ($_POST['caso']) {
        case 'cancel':
            $sql = "CALL SPTR_DELETE_ACA_ESTUDIANTESXGRUPOS('$id_est','1')";
            //			$sql="DELETE FROM aca_estudiantesxgrupos WHERE cod_estudiantes_grupos='$codigoest_grup'";
            break;

        case 'desac':
            //$sql="CALL SPTR_DELETE_ACA_ESTUDIANTESXGRUPOS('$id_est','0')";
            $sql = "UPDATE aca_estudiantes SET estado_est='0' WHERE cod_estudiante='$id_est'";

            break;

        case 'activa':
            //$sql="CALL SPTR_DELETE_ACA_ESTUDIANTESXGRUPOS('$id_est','1')";
            $sql = "UPDATE aca_estudiantes SET estado_est='1' WHERE cod_estudiante='$id_est'";
            break;

        case 'edit':
//			$codigo=$_POST['id_cod_matricula_est']; // cod del registro de matricula
            $grupo = $_POST['txtgrupo'];
//			$jornadas=$_POST['txtjornadas'];
//			$sedes=$_POST['txtsedes'];
            $id_estu = $_POST['idestu'];
            $sql = "call SPTR_UPDATE_ACA_ESTUDIANTESXGRUPOS('$id_estu', '$grupo','1')";
//			$sql="update aca_estudiantesxgrupos SET cod_grupo='$grupo' WHERE cod_estudiantes_grupos='$codigo'";
            //SE BORRA LO ANTERIOR Y SE DEJA LO NUEVO

            break;
        case 'new_mat':
            $id_estu = $_POST['idestu'];
            $id_grupo = $_POST['txtgrupo'];
            $sql = "CALL SP_NEW_ACA_ESTUDIANTESXGRUPOS('$id_grupo', '$id_estu','0')";  /* VERIFICADO OK */

//			INSERT into aca_estudiantesxgrupos (cod_grupo, cod_estudiante) VALUES ('$id_grupo', '$id_estu')";
            break;
        case 'relacion':
            $id_estudiante = $_POST['cod_estudiante'];
            $cod_mat_ant = $_POST['txt_mat_ant']; // trae el registro cod_asigxgrup que hace referencia la nota del estudiante en la materia
            $cod_mat_new = $_POST['txt_mat_new']; // trae el codigo de la nueva materia en el grupo seleccionado
            $new_grupo = $_POST['cod_new_gr'];

            $con = 0;
            $ar_sqls = array();
//			if(trim($_POST['cod_mat'])==''){
#				echo '$new_grupo' . " " . '$id_estudiante';
//				$sql="CALL SP_NEW_ACA_ESTUDIANTESXGRUPOS('$new_grupo', '$id_estudiante','1')";				
//				INSERT into aca_estudiantesxgrupos (cod_grupo, cod_estudiante) VALUES ('$new_grupo', '$id_estudiante')";	
//	}else{
//				$sql="call SPTR_UPDATE_ACA_ESTUDIANTESXGRUPOS('$id_estudiante', '$new_grupo')";
            //			$ar_sqls[0]="UPDATE aca_estudiantesxgrupos SET cod_grupo='$new_grupo' WHERE cod_estudiantes_grupos='".$_POST['cod_mat']."'";
            //SP_CAMBIO_GRUPO`(IN CODGRUANT INT, IN CODGRUNUE INT, IN CODESTUDIANTE INT,IN CADANTIGUA VARCHAR(254),IN CADNUEVA VARCHAR(254))	
//			}
            $ant_grupo = $_POST['cod_ant_gr'];
            $cadanterior = "";
            $cadnueva = "";
            for ($i = 0; $i < count($cod_mat_ant); $i++) {
                $id_mat_ant = $cod_mat_ant[$i];
                if ($cod_mat_new[$i] != '0x') {
                    $id_mat_new = $cod_mat_new[$i];
                    $cadanterior = $cadanterior . $id_mat_ant . "|";
                    $cadnueva = $cadnueva . $id_mat_new . "|";
                }
            }
            $sql = "call SPTR_CAMBIA_ESTUDIANTE_GRUPO('$ant_grupo', '$new_grupo', '$id_estudiante','$cadanterior','$cadnueva')";
            //	echo $sql;			
            //	echo "grupo anterior: " . $ant_grupo . " - Grupo nuevo: " . $new_grupo . " Cod estudiante: " . $id_estudiante . " - cadenaanterior. " . $cadanterior;
            //	echo " - cadena nueva: " . $cadnueva;
            //	exit(); 
            break;
    }
//	echo $sql; 
    if (!empty($sql)) {
        $academia->instruccion($sql);
        $rta = array('error' => $academia->extraer_error(), 'id' => $academia->ultima_fila(), 'sql' => $sql);
        # echo json_encode($rta);
    }
}
$academia->cerrar();
?>